### Hierarchy

- CardDateRangeComponent

### Implements

- ControlValueAccessor
- OnChanges

## Index

### Inputs

- ranges
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- ranges
- selectedRangeContent
- value
- valueChange
- wrapperClass

### Methods

- getSelectedRange
- ngOnChanges
- onChange
- onRangeSelected
- onTouched
- registerOnChange
- registerOnTouched
- selectRange
- writeValue

## Constructors

### constructor

- new CardDateRangeComponent(): CardDateRangeComponent

- #### Returns CardDateRangeComponent

## Properties

### ranges

@Input()
ranges: ListItem[] = ...

- Defined in packages/angular/src/card/card-date-range.component.ts:38

List of date/time ranges to display in the overflow menu.

Uses a modified `ListItem` array. `id` keys must be provided.

If a null is passed to the ngModel or `value` Input the item with the `id` of `"default"` will be selected.

### selectedRangeContent

selectedRangeContent: string = ...

- Defined in packages/angular/src/card/card-date-range.component.ts:105

Contains the content of the currently selected range item

### value

@Input()
value: string = 'default'

- Defined in packages/angular/src/card/card-date-range.component.ts:95

Set to the id of a range item to select it

### valueChange

@Output()
valueChange: EventEmitter<string> = ...

- Defined in packages/angular/src/card/card-date-range.component.ts:100

Emits the id of the currently selected range item

### wrapperClass

@HostBinding({"hostPropertyName":"'class.iot--card--toolbar-date-range-wrapper'"})
wrapperClass: boolean = true

- Defined in packages/angular/src/card/card-date-range.component.ts:28

## Methods

### Protected getSelectedRange

- getSelectedRange(): ListItem

- - Defined in packages/angular/src/card/card-date-range.component.ts:158

  #### Returns ListItem

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:107

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### Protected onChange

- onChange(obj: any): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:131

  #### Parameters

  - ##### obj: any

  #### Returns void

### onRangeSelected

- onRangeSelected(range: string): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:113

  #### Parameters

  - ##### range: string

  #### Returns void

### Protected onTouched

- onTouched(): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:132

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:123

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:127

  #### Parameters

  - ##### fn: any

  #### Returns void

### Protected selectRange

- selectRange(rangeId: string): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:143

  Updates the `ranges` list to only select the provided id.

  Also updates `selectedRangeContent`

  falsy/null values will select the `default` option

  #### Parameters

  - ##### rangeId: string

    id of the range item to select

  #### Returns void

### writeValue

- writeValue(rangeId: string): void

- - Defined in packages/angular/src/card/card-date-range.component.ts:119

  #### Parameters

  - ##### rangeId: string

  #### Returns void

Generated using TypeDoc